<?php
namespace WpBookingProFrontend\app\views\services;
use WpBookingPro\Factory;
use WpBookingPro\Mvc\Model\Model;
use WpBookingPro\Mvc\View\View;

class ServicesView extends View
{
    public function display($tpl){
        $modelServices=Model::getInstance('services');
        $this->list=$modelServices->getList();
        $this->total_service = $modelServices->getTotalServiceNoPagination();

        $modelCountries = Model::getInstance('countries');
        $this->list_countries = $modelCountries->getList_location();

        $modelEmployees=Model::getInstance('employees');
        $this->list_employees=$modelEmployees->getList();

        $modelCategories=Model::getInstance('categories');
        $this->list_categories=$modelCategories->getList();

        $modelVendors = Model::getInstance('vendors');
        $this->list_vendor = $modelVendors->getListVendor();

        $modelCurrencies = Model::getInstance('currencies');
        $this->list_currency = $modelCurrencies->getList();

        return parent::display($tpl);

    }
}